Package be.fgov.ehealth.mycarenet.commons.protocol.v2

# Class SendResponseType

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.ResponseType
be.fgov.ehealth.mycarenet.commons.protocol.v2.SendResponseType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `RegisterToMycarenetServiceResponse`, `TarificationConsultationResponse`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:15+02:00", comments="JAXB RI v4.0.5") public class SendResponseType extends ResponseType implements Serializable
Generic synchronised response type. A SendResponseType contains a single Return element.

Java class for SendResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SendResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}ResponseType">
           <sequence>
             <element name="Return" type="{urn:be:fgov:ehealth:mycarenet:commons:protocol:v2}ResponseReturnType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SendResponseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ResponseReturnType`
  `getReturn()`
  Gets the value of the return property.
  `void`
  `setReturn(ResponseReturnType value)`
  Sets the value of the return property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

  `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SendResponseType

    public SendResponseType()

- ## Method Details

  - ### getReturn

    public ResponseReturnType getReturn()
    Gets the value of the return property.
    Returns:
      possible object is `ResponseReturnType`

  - ### setReturn

    public void setReturn(ResponseReturnType value)
    Sets the value of the return property.
    Parameters:
      `value` - allowed object is `ResponseReturnType`